Description

Redmine instances have a default locale setting (admin > settings > display) but this setting is only used when these two conditions

are met:

1. User is not logged in

2. User's browser doesn't publish an HTTP_ACCEPT_LANGUAGE value

So, the current locale scheme is the following:

1. User specified locale

2. User browser default locale

3. Redmine default locale

AMHO, redmine should switch the last two for:

1. User specified locale

2. Redmine default locale

3. User browser default locale

Why? Because a not-logged in user should see what the redmine owner want him to see first, then let the user choose what locale

he wants to see (once registerd and logged in). This way, it's easier to see what's the main language on that redmine instance and

avoid a wide part of the risk to have question and bugs fills with user mother-tongue messages.

Related issues:

Is duplicate of Redmine - Feature #2691: Option to disable automated language... Closed 2009-02-07

History

#1 - 2009-11-30 13:14 - Thomas Lecavelier

- File 0001-Redmine-default-locale-used-before-browser-locale.patch added

Here the minor change needed to integrate that need written counter r3110.

#2 - 2009-11-30 13:54 - Henrik Ammer

Thomas Lecavelier wrote:

Here the minor change needed to integrate that need written counter r3110.

 But if Redmine sets the language shown to the default language of Redmine it should not be needed to check for accepted languages from the user

since it will never happen since Redmine always has a default language.

Therefor row 99-104 is obsolete.

Maybe a setting is better then removing the functionality?

#3 - 2009-12-01 08:52 - Thomas Lecavelier

- File 0001-Redmine-default-locale-used-before-browser-locale-en.patch added

Henrik Jönsson wrote:

Maybe a setting is better then removing the functionality?
 That's the setting ;)

I enabled the auto in this patch, and change the language.nil? for a language.blank? that do the work: if you leave it to "auto", the

HTTP_ACEPT_LANGUAGE is required.

#4 - 2009-12-02 18:56 - Jean-Philippe Lang

The default language setting is also used in a few places. We just can't leave it blank.

Instead, a setting to enable/disable browser language recognition should be added.

#5 - 2009-12-02 18:58 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Actually, it was already discussed in #2691.

Files

0001-Redmine-default-locale-used-before-browser-locale.patch 1.11 KB 2009-11-30 Thomas Lecavelier

0001-Redmine-default-locale-used-before-browser-locale-en.patch 2.23 KB 2009-12-01 Thomas Lecavelier
